Package be.fgov.ehealth.commons.core.v1

# Class IdentifierType

java.lang.Object
be.fgov.ehealth.commons.core.v1.IdentifierType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `BoxIdType`, `EhboxIdentifierType`, `MandateType`, `SenderType`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:23+02:00", comments="JAXB RI v4.0.5") public class IdentifierType extends Object implements Serializable
Basic Type identifying any eHealth Actor.

Java class for IdentifierType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="IdentifierType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Id" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Type" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="SubType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdentifierType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getId()`
  Gets the value of the id property.
  `String`
  `getSubType()`
  Gets the value of the subType property.
  `String`
  `getType()`
  Gets the value of the type property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setSubType(String value)`
  Sets the value of the subType property.
  `void`
  `setType(String value)`
  Sets the value of the type property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IdentifierType

    public IdentifierType()

- ## Method Details

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`

  - ### getType

    public String getType()
    Gets the value of the type property.
    Returns:
      possible object is `String`

  - ### setType

    public void setType(String value)
    Sets the value of the type property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSubType

    public String getSubType()
    Gets the value of the subType property.
    Returns:
      possible object is `String`

  - ### setSubType

    public void setSubType(String value)
    Sets the value of the subType property.
    Parameters:
      `value` - allowed object is `String`